| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Standards
Standards.ASN1
Standards.ASN1.Decode

# Method Standards.ASN1.Decode.simple_der_decode()

Method simple_der_decode

  `.Types.Object simple_der_decode(string data)`

Description

  decode a DER encoded object using universal data types

Parameter `data`

  a DER encoded object

Returns

  an object from Standards.ASN1.Types or either Standards.ASN1.Decode.Primitive or Standards.ASN1.Decode.constructed if the type is unknown.